-- name: [CS] CharizardMod
-- description: Our beloved fire dragon!\n\n\\#ff7777\\This Pack requires Character Select\nto use as a Library!


local E_MODEL_charizard = smlua_model_util_get_id("charizard_geo")

local TEX_charizard_ICON = get_texture_info("charizard-icon")

local TEXT_MOD_NAME = "Charizard"

local VOICETABLE_charizard = {
  --[CHAR_SOUND_OKEY_DOKEY] = 'StartLevel.ogg', -- Starting game
    [CHAR_SOUND_LETS_A_GO] = nil, -- Starting level
    [CHAR_SOUND_OOOF] = 'Charizard-3-dano.ogg',
    [CHAR_SOUND_OOOF2] = 'Charizard-3-dano.ogg',
    [CHAR_SOUND_WAH2] ='Charizard-5-agarre-de-borde.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'Charizard-8-golpe.ogg', -- Punch 1
    [CHAR_SOUND_PUNCH_WAH] = 'Charizard-8-2.ogg', -- Punch 2
    [CHAR_SOUND_PUNCH_HOO] = 'Charizard-8-3.ogg', -- Punch 3
    [CHAR_SOUND_YAH_WAH_HOO] = {'Charizard 1 salto (mp3cut.net).ogg', 'Charizard 1-2 (mp3cut.net).ogg'}, -- First/Second jump sounds
    [CHAR_SOUND_HOOHOO] = 'Charizard 1-2 (mp3cut.net).ogg', -- Third jump sound
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'Charizard 1-3 (mp3cut.net).ogg', -- Triple jump sounds
    [CHAR_SOUND_UH] = 'Charizard-14-wall-jump.ogg', -- Wall bonk
    [CHAR_SOUND_UH2] = 'Charizard-14-wall-jump.ogg', -- Landing after long jump
    [CHAR_SOUND_UH2_2] = 'Charizard-14-wall-jump.ogg', -- Same sound as UH2; jumping onto ledge
    [CHAR_SOUND_HAHA] = nil, -- Landing triple jump
    [CHAR_SOUND_YAHOO] = 'Charizard-13-salto-y-salto-largo-bonk.ogg', -- Long jump
    [CHAR_SOUND_HAHA_2] = nil,
    [CHAR_SOUND_DOH] = 'Charizard-13-salto-y-salto-largo-bonk.ogg', -- Long jump wall bonk
    [CHAR_SOUND_WHOA] = 'Charizard-5-agarre-de-borde.ogg', -- Grabbing ledge
    [CHAR_SOUND_EEUH] = 'Charizard-5-agarre-de-borde.ogg', -- Climbing over ledge
    [CHAR_SOUND_WAAAOOOW] = 'Charizard-15-long-fall-_1_.ogg', -- Falling a long distance
    [CHAR_SOUND_TWIRL_BOUNCE] = 'Charizard-1-3.ogg', -- Bouncing off of a flower spring
    [CHAR_SOUND_GROUND_POUND_WAH] = nil, 
    [CHAR_SOUND_HRMM] = 'Charizard-5-agarre-de-borde.ogg', -- Lifting something
    [CHAR_SOUND_HERE_WE_GO] = 'Charizard-16-victory-sound.ogg', -- Star get
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'Charizard-8-golpe.ogg', -- Throwing Bowser
--DAMAGE
    [CHAR_SOUND_ATTACKED] = 'Charizard-3-dano.ogg', -- Damaged
    [CHAR_SOUND_PANTING] = 'Charizard-12-vida-baja.ogg', -- Low health
    [CHAR_SOUND_ON_FIRE] = 'Charizard-3-dano.ogg', -- Burned
--SLEEP SOUNDS
    [CHAR_SOUND_IMA_TIRED] = nil, -- Mario feeling tired
    [CHAR_SOUND_YAWNING] = nil, -- Mario yawning before he sits down to sleep
    [CHAR_SOUND_SNORING1] = 'Charizard-9-sueno.ogg', -- Snore Inhale
    [CHAR_SOUND_SNORING2] = 'Charizard-9-2.ogg', -- Exhale
    [CHAR_SOUND_SNORING3] = nil, -- Sleep talking / mumbling
--COUGHING (USED IN THE GAS MAZE)
    [CHAR_SOUND_COUGHING1] = nil, -- Cough take 1
    [CHAR_SOUND_COUGHING2] = nil, -- Cough take 2
    [CHAR_SOUND_COUGHING3] = nil, -- Cough take 3
--DEATH
    [CHAR_SOUND_DYING] = 'Charizard-10-muerte-por-dano.ogg', -- Dying from damage
    [CHAR_SOUND_DROWNING] = 'Charizard-11-muerte-por-ahogamiento.ogg', -- Running out of air underwater
    [CHAR_SOUND_MAMA_MIA] = nil -- Booted out of level
}

local PALETTE_charizard = {
    [PANTS]  = "0F2B6C",
    [SHIRT]  = "F3E382",
    [GLOVES] = "FFFFFF",
    [SHOES]  = "FFFFFF",
    [HAIR]   = "FFAD25",
    [SKIN]   = "E89345",
    [CAP]    = "325D6D",
	
}
--[[ PaRappa does NOT take his hat off under ANY circumstances, as canonically, hatless PaRappa is a horrid sight.
local CAPTABLE_PARAPPA = {
    normal = smlua_model_util_get_id("parappa_cap_normal_geo"),
    wing = smlua_model_util_get_id("parappa_cap_wing_geo"),
    metal = smlua_model_util_get_id("parappa_cap_metal_geo"),
    metalWing = smlua_model_util_get_id("parappa_cap_wing_geo"),
}
--]]

if _G.charSelectExists then
    CT_CHAR = _G.charSelect.character_add("Charizard", "Our beloved fire dragon!", "Made by @Asplatim on twitter", {r = 244, g = 115, b = 20}, E_MODEL_charizard, CT_MARIO, TEX_charizard_ICON)
--      _G.charSelect.character_add_caps(E_MODEL_PARAPPA, CAPTABLE_PARAPPA)
    _G.charSelect.character_add_palette_preset(E_MODEL_charizard, PALETTE_charizard)
     --the following must be hooked for each character added

    _G.charSelect.character_add_voice(E_MODEL_charizard, VOICETABLE_charizard)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_charizard then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_charizard then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end